Displaying 19 results from an estimated 19 matches for "blocksize1".
Did you mean:
blocksize
2018 Sep 11
2
Re: [PATCH nbdkit 4/4] tests: Add a helper function which waits for nbdkit to start up.
...}
> +
> +++ b/tests/test-blocksize.sh
> @@ -31,6 +31,7 @@
> # OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
> # SUCH DAMAGE.
>
> +source functions.sh
> set -e
More need for source ./functions.sh throughout the patch
>
> files="blocksize1.img blocksize1.log blocksize1.sock blocksize1.pid
> @@ -72,27 +73,13 @@ cleanup ()
> trap cleanup INT QUIT TERM EXIT ERR
>
> # Run two parallel nbdkit; to compare the logs and see what changes.
> -nbdkit -P blocksize1.pid -U blocksize1.sock \
> +start_nbdkit -P blocksize1.p...
2018 Sep 11
0
Re: [PATCH nbdkit 4/4] tests: Add a helper function which waits for nbdkit to start up.
On Tue, Sep 11, 2018 at 03:02:47PM -0500, Eric Blake wrote:
[Lots of issues]
I'll fix all these, thanks.
> > files="blocksize1.img blocksize1.log blocksize1.sock blocksize1.pid
> >@@ -72,27 +73,13 @@ cleanup ()
> > trap cleanup INT QUIT TERM EXIT ERR
> > # Run two parallel nbdkit; to compare the logs and see what changes.
> >-nbdkit -P blocksize1.pid -U blocksize1.sock \
> >+start_nbdkit -P...
2018 Feb 01
0
[nbdkit PATCH v2 3/3] filters: Add blocksize filter
...TS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+
+set -e
+
+files="blocksize1.img blocksize1.log blocksize1.sock blocksize1.pid
+ blocksize2.img blocksize2.log blocksize2.sock blocksize2.pid"
+rm -f $files
+
+: ${QEMU_IO=qemu-io}
+
+# Prep images, and check that qemu-io understands the actions we plan on doing.
+truncate --size 10M blocksize1.img
+if ! $QEMU_IO -f...
2018 Mar 08
0
[nbdkit PATCH v3 05/15] filters: Add blocksize filter
...TS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+
+set -e
+
+files="blocksize1.img blocksize1.log blocksize1.sock blocksize1.pid
+ blocksize2.img blocksize2.log blocksize2.sock blocksize2.pid"
+rm -f $files
+
+: ${QEMU_IO=qemu-io}
+
+# Prep images, and check that qemu-io understands the actions we plan on doing.
+# TODO: Until we implement NBD_OPT_GO, qemu-io does...
2018 Sep 11
7
[PATCH nbdkit 0/4] tests: Move common functions into tests/functions.sh
Combine much common code into tests/functions.sh.
Patch 1: Preparation for patch 3.
Patch 2: Fix a long-standing bug in how man pages links are generated.
Patch 3: Common code for iterating a test function over every plugin.
Patch 4: Common code for starting nbdkit in a test and waiting for the
PID file to appear. This is the largest and most complex of
the patches but is
2018 Sep 11
0
[PATCH nbdkit 4/4] tests: Add a helper function which waits for nbdkit to start up.
...f --git a/tests/test-blocksize.sh b/tests/test-blocksize.sh
index cb9b09f..3fe3723 100755
--- a/tests/test-blocksize.sh
+++ b/tests/test-blocksize.sh
@@ -31,6 +31,7 @@
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
+source functions.sh
set -e
files="blocksize1.img blocksize1.log blocksize1.sock blocksize1.pid
@@ -72,27 +73,13 @@ cleanup ()
trap cleanup INT QUIT TERM EXIT ERR
# Run two parallel nbdkit; to compare the logs and see what changes.
-nbdkit -P blocksize1.pid -U blocksize1.sock \
+start_nbdkit -P blocksize1.pid -U blocksize1.sock \
-...
2018 Sep 13
0
[PATCH v2 nbdkit 5/5] tests: Add a helper function which waits for nbdkit to start up.
...ump the final log files before removing them
+# on exit.
cleanup ()
{
- test "$pid1" && kill $pid1
- test "$pid2" && kill $pid2
- # For easier debugging, dump the final log files before removing them.
echo "Log 1 file contents:"
cat blocksize1.log || :
echo "Log 2 file contents:"
@@ -67,28 +63,12 @@ cleanup ()
cleanup_fn cleanup
# Run two parallel nbdkit; to compare the logs and see what changes.
-nbdkit -P blocksize1.pid -U blocksize1.sock \
+start_nbdkit -P blocksize1.pid -U blocksize1.sock \
--filter=log fil...
2018 Feb 01
6
[nbdkit PATCH v2 0/3] add log, blocksize filters
Since v1: add the blocksize filter, add testsuite coverage of the
log filter, several fixes to the log filter based on what adding
tests revealed
I'm still working on FUA flag support patches on top of this;
the patches should all be committed in the same release, as we
want to minimize the number of releases that cause a filter
ABI/API bump
Eric Blake (3):
backend: Rework internal/filter
2018 Sep 13
8
[PATCH v2 nbdkit 0/5] tests: Move common functions into tests/functions.sh
v1 was here:
https://www.redhat.com/archives/libguestfs/2018-September/msg00057.html
v2:
- Fix tab vs spaces in configure.ac.
- To generate list of plugins, use printf instead of xargs.
- Use 'source ./functions.sh' instead of 'source functions'.
- functions.sh: Consistent quoting in foreach_plugin function.
- functions.sh: Change the contract of start_nbdkit so it
2018 Sep 13
0
[PATCH v2 nbdkit 4/5] tests: Use a generic cleanup mechanism instead of explicit trap.
...--git a/tests/test-blocksize.sh b/tests/test-blocksize.sh
index cb9b09f..21b55b9 100755
--- a/tests/test-blocksize.sh
+++ b/tests/test-blocksize.sh
@@ -31,6 +31,7 @@
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
+source ./functions.sh
set -e
files="blocksize1.img blocksize1.log blocksize1.sock blocksize1.pid
@@ -54,10 +55,6 @@ pid1= pid2=
# Kill any nbdkit processes on exit.
cleanup ()
{
- status=$?
- trap '' INT QUIT TERM EXIT ERR
- echo $0: cleanup: exit code $status
-
test "$pid1" && kill $pid1
test &qu...
2018 Sep 07
0
[PATCH nbdkit 3/6] file: Make the file= parameter into a magic config key.
...delay>
diff --git a/tests/test-blocksize.sh b/tests/test-blocksize.sh
index d239c9b..cb9b09f 100755
--- a/tests/test-blocksize.sh
+++ b/tests/test-blocksize.sh
@@ -73,9 +73,9 @@ trap cleanup INT QUIT TERM EXIT ERR
# Run two parallel nbdkit; to compare the logs and see what changes.
nbdkit -P blocksize1.pid -U blocksize1.sock \
- --filter=log file logfile=blocksize1.log file=blocksize1.img
+ --filter=log file logfile=blocksize1.log blocksize1.img
nbdkit -P blocksize2.pid -U blocksize2.sock --filter=blocksize \
- --filter=log file logfile=blocksize2.log file=blocksize2.img \
+...
2018 Sep 08
0
[PATCH nbdkit v2 3/6] file: Make the file= parameter into a magic config key.
...delay>
diff --git a/tests/test-blocksize.sh b/tests/test-blocksize.sh
index d239c9b..cb9b09f 100755
--- a/tests/test-blocksize.sh
+++ b/tests/test-blocksize.sh
@@ -73,9 +73,9 @@ trap cleanup INT QUIT TERM EXIT ERR
# Run two parallel nbdkit; to compare the logs and see what changes.
nbdkit -P blocksize1.pid -U blocksize1.sock \
- --filter=log file logfile=blocksize1.log file=blocksize1.img
+ --filter=log file logfile=blocksize1.log blocksize1.img
nbdkit -P blocksize2.pid -U blocksize2.sock --filter=blocksize \
- --filter=log file logfile=blocksize2.log file=blocksize2.img \
+...
2018 Sep 07
7
[PATCH nbdkit 0/6] plugins: Implement magic config key.
Remove the need to use file= (and in future other) parameters for many
plugins. eg. Using the file plugin becomes:
nbdkit file disk.img
Rich.
2018 Sep 08
8
[PATCH nbdkit v2 0/6] plugins: Implement magic config key.
v1 was here:
https://www.redhat.com/archives/libguestfs/2018-September/msg00024.html
v2:
- As discussed in the patch review, tighten up the characters
permitted in keys.
- Update documentation to note that relative paths can be made
safe by prefixing with ./ and absolute paths do not need any
extra steps.
- I pushed patch 1/6 from the v1 series since it was just a trivial
2018 Sep 10
7
[PATCH nbdkit v3 0/6] plugins: Implement magic config key.
v1: https://www.redhat.com/archives/libguestfs/2018-September/msg00024.html
v2: https://www.redhat.com/archives/libguestfs/2018-September/msg00034.html
v3:
- Fixed is_config_key zero length test.
- Fixed is_config_key so it uses strspn and is not O(n^2).
- Changed >= 1.7 to >= 1.8 in the documentation.
Rich.
2003 Apr 07
0
Vorbis spec bugs
...#39;m doin' it like this:
if ((order>=0x80)||(rate>=0x8000) ... (amplitude_offset>=0x80)) {
stream undecodable
}
BTW: is floor0_order == 0 allowed ?
any comments ?
<p><p>another question concerning the identification header:
(not a bug, just a question) ;)
blocksize1 = 1 << readbits(4);
blocksize2 = 1 << readBits(4);
So far so good on this one... but i thought, Vorbis is currently
dealing with blocks of 1024/128 spectral coefficients per transform
block (at 44kHz), so i excpected the exponent-values to be equal to
7 and 10. But i actually...
2018 Mar 08
19
[nbdkit PATCH v3 00/15] Add FUA support to nbdkit
After more than a month since v2 [1], I've finally got my FUA
support series polished. This is all of my outstanding patches,
even though some of them were originally posted in separate
threads from the original FUA post [2], [3]
[1] https://www.redhat.com/archives/libguestfs/2018-January/msg00113.html
[2] https://www.redhat.com/archives/libguestfs/2018-January/msg00219.html
[3]
2018 Aug 12
13
[PATCH nbdkit 00/10] FreeBSD support.
With these patches, a majority of tests pass. The notable
things which are still broken:
- Because FreeBSD links /home -> /usr/home, $(pwd) gives a different
result from realpath(2). Therefore some tests which implicitly
rely on (eg) a plugin which calls nbdkit_realpath internally and
then checking that path against $(pwd) fail.
- Shebangs (#!) don't seem to work the same way
2004 Jun 02
4
Transient coding: AAC vs. Vorbis
...)
M-Q = floor curves (Vorbis II)
Obviously Vorbis I is wasting space in this example by
coding 5 floor curves (G-K) that are very similar.
AAC *shares* the scalefactor set B with these 5 windows
thus saving space.
Vorbis II could allow the storage of multiple 'short'
MDCT spectra (maximal blocksize1/blocksize0 many)
into one packet that share ONE floor curve.
It maybe also worth the effort to encode the channel's
residue vectors as one big vector (per channel) by
interleaving. I think this will also improve coding
efficiency a bit. As a side effect there will be the need
for moreresidue c...